org.apache.ignite.internal.visor.cache

## Class VisorCacheJdbcTypeField

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.cache.VisorCacheJdbcTypeField

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorCacheJdbcTypeField
    extends VisorDataTransferObject

Data transfer object for `JdbcTypeField`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3`

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheJdbcTypeField()` Empty constructor.
`VisorCacheJdbcTypeField(String dbName, int dbType, String javaName, String javaType)` Full constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDatabaseName()`
`int` `getDatabaseType()`
`String` `getJavaName()`
`String` `getJavaType()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorCacheJdbcTypeField

    public VisorCacheJdbcTypeField()

Empty constructor.

#### VisorCacheJdbcTypeField

    public VisorCacheJdbcTypeField(String dbName,
                                   int dbType,
                                   String javaName,
                                   String javaType)

Full constructor.

Parameters:
  `dbName` - Column name in database.
  `dbType` - Column JDBC type in database.
  `javaName` - Field name in java object.
  `javaType` - Corresponding java type.

### Method Detail

#### getDatabaseName

    public String getDatabaseName()

Returns:
  Column name in database.

#### getDatabaseType

    public int getDatabaseType()

Returns:
  Column JDBC type in database.

#### getJavaName

    public String getJavaName()

Returns:
  Field name in java object.

#### getJavaType

    public String getJavaType()

Returns:
  Corresponding java type.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018